<?php

function gf_post_to_lb($entry, $form) {
	$form = json_decode(json_encode($form), true);
	$id = $form['id'];
	$url = get_option("gflb_form_post_url__$id");

	$data_to_send = [];

	foreach ($form['fields'] as $field) {
		$fieldId = $field['id'];
		$data_to_send[$field['label']] =
			isset($entry[$fieldId]) ? $entry[$fieldId] : '';

		if (empty($data_to_send[$field['label']]) && $field['inputs'] !== null) {
			foreach ($field['inputs'] as $input) {
				$val = !empty($entry[$input['id']]) ? $entry[$input['id']] : '';
				$data_to_send[$field['label']] .=
					!empty($val) ? " " . $val : '';

				$data_to_send[$input['label']] = $val;
			}

			$data_to_send[$field['label']] = trim($data_to_send[$field['label']]);
		}
	}

	// "Url-ify" the data for the POST request.
	$fields_string = http_build_query($data_to_send);

	// HTTP POST the Wordpress way.
	if (!class_exists('WP_Http')) {
		include_once(ABSPATH . WPINC . '/class-http.php');
	}

	$request = new WP_Http();
	$request->post(
		$url, [
			'body' => $fields_string,
			'sslverify' => false
		]
	);
}
